Page MenuHomePhabricator

make mman.h private
ClosedPublic

Authored by vtorri on Aug 10 2019, 8:46 PM.

Details

Summary

integrate mman.h to make Evil private to the EFL, as mman.h does not exist on Windows. After a discussion with raster, i include sys/mman.h only on non Windows platform.

One issue, though, is that src/modules/emotion/generic/Emotion_Generic_Plugin.h has inlined functions using mmap()

Test Plan

compilation on Windows

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
vtorri created this revision.Aug 10 2019, 8:46 PM
vtorri requested review of this revision.Aug 10 2019, 8:46 PM
vtorri edited the summary of this revision. (Show Details)Aug 10 2019, 8:49 PM
zmike requested changes to this revision.Aug 12 2019, 5:25 AM

I'm gonna run this through CI just to be sure, if you could change those include paths that'd be great.

src/bin/edje/edje_cc_handlers.c
40

should probably use "" for include to indicate that this is a local path include

src/lib/ecore/ecore.c
19

should probably use "" for include to indicate that this is a local path include

src/lib/ecore_evas/ecore_evas.c
18

should probably use "" for include to indicate that this is a local path include

src/lib/eet/eet_cipher.c
13

should probably use "" for include to indicate that this is a local path include

This revision now requires changes to proceed.Aug 12 2019, 5:25 AM
zmike added a comment.Aug 12 2019, 5:42 AM

Alright so this seems like it's going to need some more work: https://travis-ci.org/Enlightenment/efl/builds/570817751

I don't understand. It's like the other EFL header inclusions which are not part of the lib. Look at all the Eina.h inclusions for examples

I'll look at the errors, thank you

vtorri updated this revision to Diff 24171.Aug 18 2019, 12:55 PM

include mman.h in raw generic module

This revision was not accepted when it landed; it landed in state Needs Review.Aug 19 2019, 6:55 AM
Closed by commit rEFL01b987df5915: make mman.h private (authored by vtorri, committed by zmike). · Explain Why
This revision was automatically updated to reflect the committed changes.